Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1122233 - Review Request: nodejs-readable-stream - Streams2, a user-land copy of the stream library from Node.js v0.10.x
Summary: Review Request: nodejs-readable-stream - Streams2, a user-land copy of the st...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1122216 1122218
Blocks: nodejs-reviews 1122223 1122224
TreeView+ depends on / blocked
 
Reported: 2014-07-22 19:05 UTC by Ralph Bean
Modified: 2015-01-08 16:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-23 20:08:55 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2014-07-22 19:05:35 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-readable-stream.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-readable-stream-1.1.9-1.fc20.src.rpm

Description:
This package is a mirror of the Streams2 and Streams3 implementations in
Node-core.

Comment 1 Parag AN(पराग) 2014-07-23 09:47:16 UTC
Review:

+ mock build is successful for f22.

+ rpmlint output on rpms gave
nodejs-readable-stream.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-readable-stream.noarch: W: only-non-binary-in-usr-lib
nodejs-readable-stream.noarch: W: dangling-symlink /usr/lib/node_modules/readable-stream/node_modules/core-util-is /usr/lib/node_modules/core-util-is
nodejs-readable-stream.src: W: spelling-error Summary(en_US) js -> dis, ks, j
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :5da37dc337f3deb7ece453f3c4c688f3f7b0f78192763335fa28825527fa5d14
upstream tarball :5da37dc337f3deb7ece453f3c4c688f3f7b0f78192763335fa28825527fa5d14

+ License "MIT" is valid and is included in its own file as %doc

+ rest looks following packaging guidelines.

APPROVED.

Comment 2 Ralph Bean 2014-07-23 13:50:14 UTC
New Package SCM Request
=======================
Package Name: nodejs-readable-stream
Short Description: Streams2, a user-land copy of the stream library from Node.js v0.10.x
Upstream URL: https://npmjs.org/package/readable-stream
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-07-23 16:43:55 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-07-23 20:07:51 UTC
nodejs-readable-stream-1.1.9-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-readable-stream-1.1.9-1.fc20

Comment 5 Fedora Update System 2014-07-23 20:08:00 UTC
nodejs-readable-stream-1.1.9-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-readable-stream-1.1.9-1.fc19

Comment 6 Ralph Bean 2014-07-23 20:08:55 UTC
Buildroot overrides have been created.

Comment 7 Fedora Update System 2014-08-15 02:42:23 UTC
nodejs-readable-stream-1.1.9-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 8 Fedora Update System 2014-08-15 02:49:27 UTC
nodejs-readable-stream-1.1.9-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 9 Parag Nemade 2015-01-08 15:34:41 UTC
Package Change Request
======================
Package Name: nodejs-readable-stream
New Branches: el6
Owners: pnemade

Comment 10 Parag Nemade 2015-01-08 15:41:26 UTC
Forgot to add that POC of this package has approved for above request see https://bugzilla.redhat.com/show_bug.cgi?id=1179942#c4

Comment 11 Gwyn Ciesla 2015-01-08 16:25:33 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.